5.2.2018 vyšla aktualizace WordPress 4.9.3. Obsahovala opravdu 34 menších chyb ještě z verze 4.9. Hlavně ale přinesla podporu pro PHP 7.2. Vzhledem k tomu, že se jednalo o minor verzi, tak se všechny WordPressy, které nemají minor aktualizace zakázané, začaly automaticky aktualizovat. Jaké však bylo překvapení, když následující den se objevila verze 4.9.4.

Vývojářům totiž unikla poměrně závažná maličkost, kterou objevili pár hodin po vypuštění nové verze. Nejedná se naštěstí o bezpečnostní chybu. Za určitých okolností jen přestane fungovat automatická aktualizace. Jinými slovy váš WordPress 4.9.3 se už nikdy nemusí sám aktualizovat. Pokus o automatickou instalaci skončí chybou PHP Fatal error.

Důvodem bylo zvýšení počtu volní instalace na WordPress.org, zdali existuje nová aktualizace. Vývojáři chtěli, aby WordPress volal domů častěji, a tak dokázal najít a stáhnout bezpečnostní aktualizace rychleji. Což by vedlo k snížení šance, že nově objevená bezpečnostní díra, na kterou už existuje záplata, byla zneužit, protože doposud WordPress nebyl aktualizován. Myšlenka dobrá, ale když všechny WordPress začnou častěji volat domů je to vlastně takový pořádný DDoS útok. WordPress.org tak padá pod náporem jednotlivých instalací, které se dožadují informace zdali je nová aktualizace samotného WordPress anebo jednotlivých pluginů.

Vývojáři tak původní kód na volání domů vrátili. Problém je, že pokud už WordPress 4.9.3 máte, tak se nemusí dovolat domů a stáhnout si aktualizaci. Proto se přihlaste do administrace. Klikněte v levém menu na NástěnkaAktualizace. Pokud vidíte nápis Nová verze WordPressu je k dispozici, tak klikněte na aktualizovat.

 

 

Share on FacebookTweet about this on TwitterShare on Google+Share on LinkedInBuffer this page